### Method

# GdkX11 X11Displayget_xcursor

#### Declaration [src]

    Cursor
    gdk_x11_display_get_xcursor (
      GdkDisplay* display,
      GdkCursor* cursor
    )

#### Description [src]

Returns the X cursor belonging to a `GdkCursor`, potentially creating the cursor.

Be aware that the returned cursor may not be unique to `cursor`. It may for example be shared with its fallback cursor. On old X servers that don’t support the XCursor extension, all cursors may even fall back to a few default cursors.

#### Parameters

`cursor`

  Type: `GdkCursor`

  A `GdkCursor`

  The data is owned by the caller of the method.

#### Return value

Type: `Cursor`

An Xlib Cursor.